<template>
  <div class="md-layout text-center">
    <div class="md-layout-item md-size-33 md-medium-size-50 md-small-size-70 md-xsmall-size-100">
      <login-card header-color="green">
        <h4 slot="title" class="title">Login</h4>
        <md-button slot="buttons" to="#facebook" class="md-just-icon md-simple md-white">
          <i class="fab fa-facebook-square"></i>
        </md-button>
        <md-button slot="buttons" to="#twitter" class="md-just-icon md-simple md-white">
          <i class="fab fa-twitter"></i>
        </md-button>
        <md-button slot="buttons" to="#google" class="md-just-icon md-simple md-white">
          <i class="fab fa-google-plus-g"></i>
        </md-button>
        <p slot="description" class="description">login classico</p>
        <md-field class="md-form-group" slot="inputs">
          <md-icon>email</md-icon>
          <label>Email...</label>
          <md-input v-model="email" type="email"></md-input>
        </md-field>
        <md-field class="md-form-group" slot="inputs">
          <md-icon>lock_outline</md-icon>
          <label>Password...</label>
          <md-input v-model="password"></md-input>
        </md-field>
        <div slot="footer" style="text-align: center">
          <md-button @click="login" slot="footer" class="md-simple md-success md-lg">
            Entra!
          </md-button>
          <h5 @click="$router.replace('/register')">Non sei registrato? Clicca qui</h5>
        </div>
      </login-card>
    </div>
  </div>
</template>
<script>

import {LoginCard} from '@/components'
import axios from 'axios'

export default {
  components: {
    LoginCard
  },
  data () {
    return {
      email: null,
      password: null
    }
  },
  methods: {
    login: function () {
      console.log('entri qui');
      axios({
        url: '/auth',
        method: 'post',
        headers: {
          Authorization: 'Basic ' + btoa(this.email + ':' + this.password)
        }
      })
        .then( ({ data: auth }) => {
          if (auth.token) {
            localStorage.setItem('name', auth.user.name);
            localStorage.setItem('userId', auth.user._id);
            localStorage.setItem('token', auth.token);
            this.$notify({
              title: 'LOGIN',
              type: 'success',
              text: 'Login avvenuta con successo'
            });
            this.$router.replace('/dashboard');
          }
        })
        .catch( e => {})
    }
  }
}
</script>

<style>
</style>
